﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Rotator_sample
{
    public partial class MainPage : ContentPage
    {
        StackLayout sl1, sl2, sl3, sl4, sl5;
        public Entry entry1 = new Entry();
        public Entry entry2 = new Entry();
        public Entry entry3 = new Entry();
        public MainPage()
        {

            InitializeComponent();
            button.Clicked += Button_Clicked;
            rotator.SelectedDotColor = Color.Transparent;
            rotator.DotsBorderColor = Color.Transparent;
            rotator.UnselectedDotColor = Color.Transparent;
            BindingContext = this;


            sl1 = new StackLayout();
            sl2 = new StackLayout();
            sl3 = new StackLayout();
            sl4 = new StackLayout();
            sl5 = new StackLayout();


            //Page 1
            sl1.Orientation = StackOrientation.Vertical;
            Label label1 = new Label();
            label1.Text = "Welcome";
            Label label2 = new Label();
            label2.Text = "Welcome to Syncfusion Software";
            label2.HorizontalOptions = LayoutOptions.Center;
            sl1.BackgroundColor = Color.Bisque;
            sl1.Children.Add(label1);
            sl1.Children.Add(label2);


            //Page 2
            sl2.Orientation = StackOrientation.Vertical;
            StackLayout page2stack1 = new StackLayout();
            page2stack1.Orientation = StackOrientation.Horizontal;
            Label label3 = new Label();
            label3.Text = "Age:";
            entry1.WidthRequest = 150;
            page2stack1.Children.Add(label3);
            page2stack1.Children.Add(entry1);
            sl2.BackgroundColor = Color.Aqua;
            sl2.Children.Add(page2stack1);

            StackLayout page2stack2 = new StackLayout();
            page2stack2.Orientation = StackOrientation.Horizontal;
            Label label4 = new Label();
            label4.Text = "First Name:";

            entry2.WidthRequest = 150;
            page2stack2.Children.Add(label4);
            page2stack2.Children.Add(entry2);
            sl2.Children.Add(page2stack2);

            StackLayout page2stack3 = new StackLayout();
            page2stack3.Orientation = StackOrientation.Horizontal;
            Label label5 = new Label();
            label5.Text = "Last Name:";
            Entry entry3 = new Entry();
            entry3.WidthRequest = 150;
            page2stack3.Children.Add(label5);
            page2stack3.Children.Add(entry3);
            sl2.Children.Add(page2stack3);


            //Page3
            sl4.Orientation = StackOrientation.Vertical;
            Label label8 = new Label();
            label8.Text = "Thanks for Contacting Support";
            sl4.BackgroundColor = Color.Blue;
            sl4.Children.Add(label8);

            //Page4
            sl5.Orientation = StackOrientation.Vertical;
            StackLayout page4stack1 = new StackLayout();
            page4stack1.Orientation = StackOrientation.Horizontal;
            Label label9 = new Label();
            label9.Text = "Bye";
            page4stack1.Children.Add(label9);
            sl5.BackgroundColor = Color.Aqua;
            sl5.Children.Add(page4stack1);

            TestCollection.Add(new RotatorModel(sl1));
            TestCollection.Add(new RotatorModel(sl2));
            TestCollection.Add(new RotatorModel(sl4));
            TestCollection.Add(new RotatorModel(sl5));
   


        }

        private List<RotatorModel> testCollection = new List<RotatorModel>();

        public List<RotatorModel> TestCollection
        {
            get { return testCollection; }
            set { testCollection = value; }
        }


        private void Button_Clicked(object sender, EventArgs e)
        {
            if (rotator.SelectedIndex == 0)
            {
                rotator.SelectedIndex = 1;
            }
            else if (rotator.SelectedIndex == 1)
            {
                if (((entry1.Text) == null) && ((entry2.Text) == null) && ((entry3.Text) == null))
                {
                    Application.Current.MainPage.DisplayAlert("Alert", "please enter all the fields", "OK");

                }

                else
                {
                    rotator.SelectedIndex = 2;
                    button.Text = string.Empty;
                    button.Text = "Done";
                }
            }
            else if (rotator.SelectedIndex == 2)
            {
                Application.Current.MainPage.DisplayAlert("LastPage", "Thank you", "OK");
            }


        }
    }

    public class RotatorModel
    {

        public RotatorModel(View itemTemplate)
        {
            ItemTemplate = itemTemplate;
        }

        private View itemTemplate;
        public View ItemTemplate
        {
            get
            {
                return itemTemplate;
            }

            set
            {
                itemTemplate = value;
            }
        }
    }

}